package com.steerinfo.meterwork.meterworkoldandnew.service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
 * @author Bourne.Cao
 * @date 2022-08-06 10:45
 */
public interface IMeterWorkOldAndNewService {

    // 汽车衡联合查询Service
    List<HashMap> getNewFirst(HashMap params);
    List<HashMap> getOldFirst(HashMap params);
    List<HashMap> getNew(HashMap params);
    List<HashMap> getOld(HashMap params);
    List<HashMap> countNew(HashMap params);
    List<HashMap> countOld(HashMap params);

    // 静态轨道衡联合查询Service
    List<HashMap> getRailwayNew(HashMap params);
    List<HashMap> getRailwayOld(HashMap params);
    List<HashMap> getRailwayFirstNew(HashMap params);
    List<HashMap> getRailwayFirstOld(HashMap params);
    List<HashMap> countRailwayNew(HashMap params);
    List<HashMap> countRailwayOld(HashMap params);

    // 动态轨道衡联合查询Service
    List<HashMap> getRailwayDynamicNew(HashMap params);
    List<HashMap> getRailwayDynamicOld(HashMap params);
    List<HashMap> getRailwayDynamicFirstNew(HashMap params);
    List<HashMap> getRailwayDynamicFirstOld(HashMap params);
    List<HashMap> countRailwayDynamicNew(HashMap params);
    List<HashMap> countRailwayDynamicOld(HashMap params);

    // 铁水、吊钩秤轨道衡联合查询Service
    List<HashMap> getRailwayHookFirstNew(HashMap params);
    List<HashMap> getRailwayHookFirstOld(HashMap params);
    List<HashMap> getRailwayHookNew(HashMap params);
    List<HashMap> getRailwayHookOld(HashMap params);
    List<HashMap> countRailwayHookNew(HashMap params);
    List<HashMap> countRailwayHookOld(HashMap params);

    //所有秤点联合查询Service
    List<HashMap> getAllNew(HashMap params);
    List<HashMap> getAllOld(HashMap params);
    List<HashMap> getCountAllNew(HashMap params);
    List<HashMap> getCountAllOld(HashMap params);
}
